<div class="col-sm-4">
  <div class="thumbnail lottery_logo">
    <%= image_tag @lottery_topic.avatar.url, class: 'img-responsive'%>
  </div>
  <% if @lottery_topic.open_round? %>
    <div class="countdown_bill countdown_bill_<%= @lottery_topic.id %>">
      <span class="countdown"></span>
    </div>
  <% end %>
</div>

<div class="col-sm-12">
  <h2>บิลวันที่ <%= Date.today.strftime('%d/%m/%y') %> ทั้งหมด</h2>
</div>

<div class="col-sm-12">

  <% if LotteryTime.set_date_time(@lottery_topic.lottery_times, @lottery_topic.lottery_dates).class == String %>
    <%= link_to 'เพิ่มบิล', new_bill_path(lot: params[:lot]), class: 'btn btn-primary pull-right' %>
  <% end %>
  <h1 class="text-red <%= "hide" if @lottery_topic.open_round? %>">ขณะนี้ยังไม่เปิดให้บริการ</h1>

  <ul class="nav nav-tabs" role="tablist">
    <% @lottery_topic.lottery_times.each do |time| %>
      <li role="presentation" class="<%= 'active' if LotteryTime.set_date_time(@lottery_topic.lottery_times, @lottery_topic.lottery_dates) == time.round_name %>">
        <a href="#<%=time.id%>" aria-controls="morning" role="tab" data-toggle="tab"><%= time.round_name %></a></li>
    <% end %>
  </ul>

  <div class="tab-content">
    <% @lottery_topic.lottery_times.each_with_index do |time, index| %>
      <div role="tabpanel" class="tab-pane <%= 'active' if LotteryTime.set_date_time(@lottery_topic.lottery_times, @lottery_topic.lottery_dates) == time.round_name %>" id="<%=time.id%>">
        <table class="table">
          <thead>
            <tr>
              <th>รอบ</th>
              <th>ชื่อ</th>
              <th>สถานะ</th>
              <th>สร้างโดย</th>
              <th>ราคาจริง</th>
              <th>ราคา</th>
              <th></th>
            </tr>
          </thead>

          <tbody>
            <% @bills.where(round: index+1).each do |bill| %>
              <tr>
                <td><%= LotteryTime.set_lot_round(bill.lottery_id, bill.try(:round)) %></td>
                <td><%= link_to bill.try(:name), new_bill_lottery_url(bill, lot: @lottery_topic.title) %></td>
                <td>
                    <% if bill.try(:status) == 'draft' %>
                      <span class="label label-warning">รอยืนยัน</span>
                    <% end %>
                    <% if bill.try(:status) == 'confirmed' %>
                      <span class="label label-success">ยืนยันแล้ว</span>
                    <% end %>
                    <% if bill.try(:status) == 'active' %>
                      <span class="label label-success">ถูกรางวัล</span>
                    <% end %>
                    <% if bill.try(:status) == 'passive' %>
                      <span class="label label-danger">ไม่ถูกรางวัล</span>
                    <% end %>
                </td>
                <td><%= User.find(bill.owner_id).name %></td>
                <td><%= bill.try(:real_price) %></td>
                <td><%= bill.try(:total) %></td>
                  <td class="manage">
                    <% if bill.try(:status) == 'draft' && @lottery_topic.open_round? && bill.original_id.nil? %>
                      <%= link_to 'ยืนยัน', bill_confirmed_url(bill), class: 'btn btn-success confirm_bill'%>
                      <%= button_to "ลบ", bill, method: :delete, class: 'btn btn-danger delete_bill', data: { confirm: 'ยืนยันว่าจะลบบิลนี้' }  %>&nbsp;&nbsp;
                    <% elsif bill.try(:status) == 'confirmed' && @lottery_topic.open_round? && bill.original_id.nil? %>
                      <%= button_to "ยกเลิกบิล", bill, method: :delete, class: 'btn btn-warning cancle_bill', data: { confirm: 'ยืนยันว่าจะยกเลิกบิลนี้' }  %>
                    <% end %>
                  </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
    <% end %>
  </div>
</div>

<script>
  $('.confirm_bill').on('click', function() {
    $(this).hide();
  });

  $('.countdown').countdown({
    until: new Date('<%= @lottery_topic.end_time %>'.replace(/-/g, "/")), 
    onExpiry: liftOff, 
    layout: '{hn}:{mn}:{sn}'
  });

  function liftOff() {
    $('.countdown_bill_<%= @lottery_topic.id %>').addClass('hide')
    $('.btn-primary').addClass('hide')
    $('.delete_bill').addClass('hide')
    $('.cancle_bill').addClass('hide')
    $('.confirm_bill').addClass('hide')
    $('.text-red').removeClass('hide')
    alert('หมดเวลาแล้วครับ')
  }
</script>